
Foreman - Bug #36972

`hammer host-registration generate-command` doesn't accept `unlimited` as JWT life time

12/11/2023 07:51 AM - Girija Soni

Status: Closed   

Priority: Normal   

Assignee:    

Category:    

Target version:    

Difficulty:  Fixed in Releases: 3.10.0

Triaged: No Found in Releases:  

Bugzilla link: 2180568 Red Hat JIRA:  

Pull request: https://github.com/theforeman/foreman/p

ull/9951

  

Description

Cloned from https://bugzilla.redhat.com/show_bug.cgi?id=2180568

Description of problem:

When trying to create a host-registration script with an unlimited life time using hammer, it complains about the parameter not being

numeric (it's possible to set that generate that same script with unlimited life time through the web UI):

```

1. hammer host-registration generate-command --organization-id 1 --activation-key $AK --jwt-expiration unlimited --insecure true

--force true

Failed to generate registration command:

Error: Option '--jwt-expiration': Numeric value is required..

See: 'hammer host-registration generate-command --help'.

```

 Version-Release number of selected component (if applicable):

Satellite 6.13 Snap 15

How reproducible:

Always.

Steps to Reproduce:

1.

2.

3.

Actual results:

Host registration command is not generated.

Expected results:

Host registration command should be generated with an unlimited JWT life time.

Additional info:

Associated revisions

Revision 670ee162 - 01/15/2024 08:31 AM - Girija Soni

Fixes #36972 - Make hammer accept unlimited as JWT life time
https://bugzilla.redhat.com/show_bug.cgi?id=2180568


History

#1 - 12/11/2023 08:12 AM - The Foreman Bot

- Status changed from New to Ready For Testing

- Pull request https://github.com/theforeman/foreman/pull/9951 added

#2 - 01/15/2024 08:31 AM - The Foreman Bot

- Fixed in Releases 3.10.0 added

#3 - 01/15/2024 09:00 AM - Girija Soni

- Status changed from Ready For Testing to Closed

Applied in changeset foreman|670ee162fb01abc5221db1407d5b4dd1b300365f.
